Skip to main content
PATCH
/
inference-providers
/
{uid}
CRUD + test for inference provider configurations.
curl --request PATCH \
  --url https://api.avala.ai/api/v1/inference-providers/{uid}/ \
  --header 'Content-Type: application/json' \
  --header 'X-Avala-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "provider_type": "sagemaker",
  "config": {},
  "is_active": true,
  "project": 123
}
'
{
  "name": "<string>",
  "description": "<string>",
  "provider_type": "sagemaker",
  "config": {},
  "is_active": true,
  "project": 123
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

uid
string
required

Body

application/json
name
string
required

Human-readable name, e.g. 'My YOLO v8 endpoint'.

Required string length: 1 - 255
description
string
provider_type
enum<string>
Available options:
sagemaker,
http
config
Config · object

Provider-specific configuration. For HTTP: endpoint_url (required), auth_header, auth_type, headers, timeout, response_key. For SageMaker: endpoint_name, region.

is_active
boolean
project
integer | null

If set, this provider is only available in this project.

Response

200 - application/json
name
string
required

Human-readable name, e.g. 'My YOLO v8 endpoint'.

Required string length: 1 - 255
description
string
provider_type
enum<string>
Available options:
sagemaker,
http
config
Config · object

Provider-specific configuration. For HTTP: endpoint_url (required), auth_header, auth_type, headers, timeout, response_key. For SageMaker: endpoint_name, region.

is_active
boolean
project
integer | null

If set, this provider is only available in this project.